<?php
function scelar_css() {
    $parent_style = 'specia-parent-style';
	wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'scelar-main', get_stylesheet_uri(), array( $parent_style ));
	
	wp_enqueue_style('scelar-default',get_stylesheet_directory_uri() .'/css/colors/default.css');
	wp_dequeue_style('specia-default');
	
	wp_enqueue_style('scelar-media-query',get_stylesheet_directory_uri() .'/css/media-query.css');
	wp_dequeue_style('specia-media-query');
}
add_action( 'wp_enqueue_scripts', 'scelar_css',999);

require_once( get_stylesheet_directory() . '/inc/customize/sceler-header-section.php');


/**
 * Remove Customize Panel from parent theme
 */
function scelar_remove_parent_setting( $wp_customize ) {
	$wp_customize->remove_control('call_action_btn_middle_text');
}
add_action( 'customize_register', 'scelar_remove_parent_setting',99 );


/**
 * Import Options From Specia Theme
 *
 */
function scelar_parent_theme_options() {
	$specia_mods = get_option( 'theme_mods_specia' );
	if ( ! empty( $specia_mods ) ) {
		foreach ( $specia_mods as $specia_mod_k => $specia_mod_v ) {
			set_theme_mod( $specia_mod_k, $specia_mod_v );
		}
	}
}
add_action( 'after_switch_theme', 'scelar_parent_theme_options' );