<?php
function scelar_header_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Header Navigation
	=========================================*/
	$wp_customize->add_section(
        'header_navigation',
        array(
        	'priority'      => 4,
            'title' 		=> __('Logo Right Content','scelar'),
			'panel'  		=> 'header_section',
		)
    );
	
	// Social Head
	$wp_customize->add_setting(
		'nav_social_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'specia_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'nav_social_head',
		array(
			'type' => 'hidden',
			'label' => __('Social Icon','scelar'),
			'section' => 'header_navigation',
			'priority'  => 1
		)
	);	
	
	// Social Icons Hide/Show Setting // 
	$wp_customize->add_setting( 
		'hs_nav_social' , 
			array(
			'default' => '1',
			'capability' => 'edit_theme_options',
			'sanitize_callback' => 'specia_sanitize_select',
		) 
	);

	$wp_customize->add_control(
	'hs_nav_social' , 
		array(
			'label'          => __( 'Hide / Show Section', 'scelar' ),
			'section'        => 'header_navigation',
			'type'           => 'radio',
			'choices'        => 
			array(
				'1' => __( 'Show', 'scelar' ),
				'0' => __( 'Hide', 'scelar' )
			)
		) 
	);
	
	// Social Icon Link One // 
	$wp_customize->add_setting(
    	'nav_facebook_link',
    	array(
			'sanitize_callback' => 'specia_sanitize_url',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_facebook_link',
		array(
		    'label'   		=> __('Facebook','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);


	// Social Icon Link Two // 
	$wp_customize->add_setting(
    	'nav_linkedin_link',
    	array(
			'sanitize_callback' => 'specia_sanitize_url',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_linkedin_link',
		array(
		    'label'   		=> __('LinkedIn','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);


	// Social Icon Link Three // 
	$wp_customize->add_setting(
    	'nav_twitter_link',
    	array(
			'sanitize_callback' => 'specia_sanitize_url',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_twitter_link',
		array(
		    'label'   		=> __('Twitter','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);

	// Social Icon Link Four // 
	$wp_customize->add_setting(
    	'nav_googleplus_link',
    	array(
			'sanitize_callback' => 'specia_sanitize_url',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_googleplus_link',
		array(
		    'label'   		=> __('GooglePlus','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);

	// Social Icon Link Five // 
	$wp_customize->add_setting(
    	'nav_instagram_link',
    	array(
			'sanitize_callback' => 'specia_sanitize_url',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_instagram_link',
		array(
		    'label'   		=> __('Instagram','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);

	// Social Icon Link Six // 
	$wp_customize->add_setting(
    	'nav_dribble_link',
    	array(
			'sanitize_callback' => 'specia_sanitize_url',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_dribble_link',
		array(
		    'label'   		=> __('Dribble','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);

	// Social Icon Link Seven // 
	$wp_customize->add_setting(
    	'nav_github_link',
    	array(
			'sanitize_callback' => 'specia_sanitize_url',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_github_link',
		array(
		    'label'   		=> __('Github','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);

	// Social Icon Link Eight // 
	$wp_customize->add_setting(
    	'nav_bitbucket_link',
    	array(
			'sanitize_callback' => 'specia_sanitize_url',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_bitbucket_link',
		array(
		    'label'   		=> __('Bitbucket','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);

	// Social Icon Link Nine // 
	$wp_customize->add_setting(
    	'nav_skype_link',
    	array(
			'sanitize_callback' => 'specia_sanitize_url',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_skype_link',
		array(
		    'label'   		=> __('Skype','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);

	// Social Icon Link Ten // 
	$wp_customize->add_setting(
    	'nav_skype_action_link',
    	array(
			'sanitize_callback' => 'specia_sanitize_text',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_skype_action_link',
		array(
		    'label'   		=> __('Skype Action','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);

	// Social Icon Link Eleven // 
	$wp_customize->add_setting(
    	'nav_email_link',
    	array(
			'sanitize_callback' => 'sanitize_email',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_email_link',
		array(
		    'label'   		=> __('Email','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);
	
	// Social Icon Link Twlve // 
	$wp_customize->add_setting(
    	'nav_vk_link',
    	array(
			'sanitize_callback' => 'specia_sanitize_url',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_vk_link',
		array(
		    'label'   		=> __('Vkontakte','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);
	
	// Social Icon Link Thirteen // 
	$wp_customize->add_setting(
    	'nav_pinterest_link',
    	array(
			'sanitize_callback' => 'specia_sanitize_url',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'nav_pinterest_link',
		array(
		    'label'   		=> __('Pinterest','scelar'),
		    'section' 		=> 'header_navigation',
		)  
	);
	
	
	/*=========================================
	Contact Info 2
	=========================================*/
	$wp_customize->add_section(
        'hdr_nav_contact_info2',
        array(
        	'priority'      => 4,
            'title' 		=> __('Contact Info 2','scelar'),
			'panel'  		=> 'header_section',
		)
    );
	
	// Contact Info Head
	$wp_customize->add_setting(
		'nav_contact_info_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'specia_sanitize_text',
			'priority'  => 3
		)
	);

	$wp_customize->add_control(
	'nav_contact_info_head',
		array(
			'type' => 'hidden',
			'label' => __('Contact Info','scelar'),
			'section' => 'hdr_nav_contact_info2',
		)
	);
	
	//  Hide/Show  // 
	$wp_customize->add_setting( 
		'hs_nav_contact_info' , 
			array(
			'default' => '1',
			'capability' => 'edit_theme_options',
			'sanitize_callback' => 'specia_sanitize_select',
			'priority'      => 4,
		) 
	);
	
	$wp_customize->add_control(
	'hs_nav_contact_info', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'scelar' ),
			'section'     => 'hdr_nav_contact_info2',
			'type'           => 'radio',
			'choices'        => 
			array(
				'1' => 'Show',
				'0'  => 'Hide'
			) 		
		) 
	);
	
	// Contact Info Head
	$wp_customize->add_setting(
		'nav_contact_info1_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'specia_sanitize_text',
			'priority'  => 5
		)
	);

	$wp_customize->add_control(
	'nav_contact_info1_head',
		array(
			'type' => 'hidden',
			'label' => __('Contact Info First','scelar'),
			'section' => 'hdr_nav_contact_info2',
		)
	);
	
	
	// Icon 1
	$wp_customize->add_setting(
    	'nav_ct_info1_icon',
    	array(
			'default' => 'fa-clock-o',
			'sanitize_callback' => 'specia_sanitize_html',
			'capability' => 'edit_theme_options',
			'priority'  => 6
		)
	);	

	$wp_customize->add_control( 
		'nav_ct_info1_icon',
		array(
		    'label'   => __('Icon','scelar'),
		    'section' => 'hdr_nav_contact_info2',
			'type' => 'text'
		)  
	);
	
	
	// Title 1
	$wp_customize->add_setting(
    	'nav_ct_info1_ttl',
    	array(
			'sanitize_callback' => 'specia_sanitize_html',
			'capability' => 'edit_theme_options',
			'priority'  => 7,
			'transport'         => $selective_refresh,
		)
	);	

	$wp_customize->add_control( 
		'nav_ct_info1_ttl',
		array(
		    'label'   => __('Title','scelar'),
		    'section' => 'hdr_nav_contact_info2',
			'type' => 'text'
		)  
	);
	
	// Subtitle 1
	$wp_customize->add_setting(
    	'nav_ct_info1_subttl',
    	array(
			'sanitize_callback' => 'specia_sanitize_html',
			'capability' => 'edit_theme_options',
			'priority'  => 8,
		)
	);	

	$wp_customize->add_control( 
		'nav_ct_info1_subttl',
		array(
		    'label'   => __('Subtitle','scelar'),
		    'section' => 'hdr_nav_contact_info2',
			'type' => 'text'
		)  
	);
	
	
	// Contact Info Head
	$wp_customize->add_setting(
		'nav_contact_info2_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'specia_sanitize_text',
			'priority'  => 11
		)
	);
	
	$wp_customize->add_control(
	'nav_contact_info2_head',
		array(
			'type' => 'hidden',
			'label' => __('Contact Info Second','scelar'),
			'section' => 'hdr_nav_contact_info2',
		)
	);
	
	// Icon 1
	$wp_customize->add_setting(
    	'nav_ct_info2_icon',
    	array(
			'default' => 'fa-phone',
			'sanitize_callback' => 'specia_sanitize_html',
			'capability' => 'edit_theme_options',
			'priority'  => 12
		)
	);	

	$wp_customize->add_control( 
		'nav_ct_info2_icon',
		array(
		    'label'   => __('Icon','scelar'),
		    'section' => 'hdr_nav_contact_info2',
			'type' => 'text'
		)  
	);
	
	
	// Title 2
	$wp_customize->add_setting(
    	'nav_ct_info2_ttl',
    	array(
			'sanitize_callback' => 'specia_sanitize_html',
			'capability' => 'edit_theme_options',
			'priority'  => 13,
			'transport'         => $selective_refresh,
		)
	);	

	$wp_customize->add_control( 
		'nav_ct_info2_ttl',
		array(
		    'label'   => __('Title','scelar'),
		    'section' => 'hdr_nav_contact_info2',
			'type' => 'text'
		)  
	);
	
	// Subtitle 2
	$wp_customize->add_setting(
    	'nav_ct_info2_subttl',
    	array(
			'sanitize_callback' => 'specia_sanitize_html',
			'capability' => 'edit_theme_options',
			'priority'  => 14
		)
	);	

	$wp_customize->add_control( 
		'nav_ct_info2_subttl',
		array(
		    'label'   => __('Subtitle','scelar'),
		    'section' => 'hdr_nav_contact_info2',
			'type' => 'text'
		)  
	);
	
	
	// Contact Info Head
	$wp_customize->add_setting(
		'nav_contact_info3_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'specia_sanitize_text',
			'priority'  => 16
		)
	);

	$wp_customize->add_control(
	'nav_contact_info3_head',
		array(
			'type' => 'hidden',
			'label' => __('Contact Info Third','scelar'),
			'section' => 'hdr_nav_contact_info2',
		)
	);
	
	
	// Icon 1
	$wp_customize->add_setting(
    	'nav_ct_info3_icon',
    	array(
			'default' => 'fa-clock-o',
			'sanitize_callback' => 'specia_sanitize_html',
			'capability' => 'edit_theme_options',
			'priority'  => 17
		)
	);	

	$wp_customize->add_control( 
		'nav_ct_info3_icon',
		array(
		    'label'   => __('Icon','scelar'),
		    'section' => 'hdr_nav_contact_info2',
			'type' => 'text'
		)  
	);
	
	
	// Title 2
	$wp_customize->add_setting(
    	'nav_ct_info3_ttl',
    	array(
			'sanitize_callback' => 'specia_sanitize_html',
			'capability' => 'edit_theme_options',
			'priority'  => 18,
			'transport'         => $selective_refresh,
		)
	);	

	$wp_customize->add_control( 
		'nav_ct_info3_ttl',
		array(
		    'label'   => __('Title','scelar'),
		    'section' => 'hdr_nav_contact_info2',
			'type' => 'text'
		)  
	);
	
	// Subtitle 3
	$wp_customize->add_setting(
    	'nav_ct_info3_subttl',
    	array(
			'sanitize_callback' => 'specia_sanitize_html',
			'capability' => 'edit_theme_options',
			'priority'  => 19
		)
	);	

	$wp_customize->add_control( 
		'nav_ct_info3_subttl',
		array(
		    'label'   => __('Subtitle','scelar'),
		    'section' => 'hdr_nav_contact_info2',
			'type' => 'text'
		)  
	);
	
}

add_action( 'customize_register', 'scelar_header_setting' );

// Header section selective refresh
function scelar_home_header_section_partials( $wp_customize ){
	
	//nav_ct_info1_ttl
	$wp_customize->selective_refresh->add_partial( 'nav_ct_info1_ttl', array(
		'selector'            => '.header-info .widget_first .text',
		'settings'            => 'nav_ct_info1_ttl',
		'render_callback'  => 'scelar_nav_ct_info1_ttl_render_callback',	
	) );
	
	//nav_ct_info2_ttl
	$wp_customize->selective_refresh->add_partial( 'nav_ct_info2_ttl', array(
		'selector'            => '.header-info .widget_second .text',
		'settings'            => 'nav_ct_info2_ttl',
		'render_callback'  => 'scelar_nav_ct_info2_ttl_render_callback',	
	) );
	
	//nav_ct_info3_ttl
	$wp_customize->selective_refresh->add_partial( 'nav_ct_info3_ttl', array(
		'selector'            => '.header-info .widget_third .text',
		'settings'            => 'nav_ct_info3_ttl',
		'render_callback'  => 'scelar_nav_ct_info3_ttl_render_callback',	
	) );
	}

add_action( 'customize_register', 'scelar_home_header_section_partials' );



// nav_ct_info1_ttl
function scelar_nav_ct_info1_ttl_render_callback() {
	return get_theme_mod( 'nav_ct_info1_ttl' );
}

// nav_ct_info2_ttl
function scelar_nav_ct_info2_ttl_render_callback() {
	return get_theme_mod( 'nav_ct_info2_ttl' );
}

// nav_ct_info3_ttl
function scelar_nav_ct_info3_ttl_render_callback() {
	return get_theme_mod( 'nav_ct_info3_ttl' );
}